# PhasicFlow: IOfileHeader Class Reference

IOfileHeader Class Reference
Inheritance diagram for IOfileHeader:
[legend]
Collaboration diagram for IOfileHeader:
[legend]

## Public Member Functions

| IOfileHeader (const objectFile &objf, const repository *owner=nullptr)
const word & | objectName () const
const word & | objectType () const
const repository * | owner () const
fileSystem | path () const
bool | headerOk (bool silent=false)
bool | implyRead () const
bool | implyWrite () const
bool | fileExist () const
bool | readIfPresent () const
bool | writeHeader (iOstream &os, const word &typeName) const
bool | writeHeader (iOstream &os) const
bool | readHeader (iIstream &is, bool silent=false)
bool | writeBanner (iOstream &os) const
bool | writeSeparator (iOstream &os) const
Public Member Functions inherited from objectFile
| objectFile (const word &name)
| objectFile (const word &name, const fileSystem &localPath, const readFlag &rf=READ_NEVER, const writeFlag &wf=WRITE_NEVER, bool rwHeader=true)
| objectFile (const objectFile &src)=default
| objectFile (objectFile &&src)=default
objectFile & | operator= (const objectFile &rhs)=default
objectFile & | operator= (objectFile &&rhs)=default
virtual | ~objectFile ()=default
virtual word | name () const
virtual fileSystem | localPath () const
readFlag | rFlag () const
writeFlag | wFlag () const
bool | isReadAlways () const
bool | isReadNever () const
bool | isReadIfPresent () const
bool | isWriteAlways () const
bool | isWriteNever () const
bool | readWriteHeader () const

## Protected Member Functions

uniquePtr< iFstream > | inStream () const
uniquePtr< oFstream > | outStream () const

## Protected Attributes

const repository * | owner_ = nullptr
word | objectName_
word | objectType_
Protected Attributes inherited from objectFile
word | name_
readFlag | rFlag_
writeFlag | wFlag_
fileSystem | localPath_
bool | readWriteHeader_ = true

## Additional Inherited Members

Public Types inherited from objectFile
enum | readFlag { READ_ALWAYS, READ_NEVER, READ_IF_PRESENT }
enum | writeFlag { WRITE_ALWAYS, WRITE_NEVER }

## Detailed Description

Definition at line 35 of file IOfileHeader.hpp.

## Constructor & Destructor Documentation

## IOfileHeader()

IOfileHeader | ( | const objectFile & | objf,
|  | const repository * | owner = `nullptr`
| ) |  |

Definition at line 46 of file IOfileHeader.cpp.

## Member Function Documentation

## inStream()

pFlow::uniquePtr< pFlow::iFstream > inStream | ( |  | ) | const

protected

Definition at line 24 of file IOfileHeader.cpp.

References IOfileHeader::fileExist(), and IOfileHeader::path().

Here is the call graph for this function:

## outStream()

pFlow::uniquePtr< pFlow::oFstream > outStream | ( |  | ) | const

protected

Definition at line 32 of file IOfileHeader.cpp.

## objectName()

const word& objectName | ( |  | ) | const

inline

Definition at line 66 of file IOfileHeader.hpp.

References IOfileHeader::objectName_.

Referenced by pFlow::PFtoVTK::convertIntTypesPointField(), pFlow::PFtoVTK::convertRealTypePointField(), pFlow::PFtoVTK::convertRealx3TypePointField(), and pFlow::TSFtoVTK::convertRealx3TypetriSurfaceField().

Here is the caller graph for this function:

## objectType()

const word& objectType | ( |  | ) | const

inline

Definition at line 72 of file IOfileHeader.hpp.

References IOfileHeader::objectType_.

Referenced by pFlow::PFtoVTK::convertIntTypesPointField(), pFlow::PFtoVTK::convertRealTypePointField(), pFlow::PFtoVTK::convertRealx3TypePointField(), pFlow::TSFtoVTK::convertRealx3TypetriSurfaceField(), and pFlow::geomObjectToVTK().

Here is the caller graph for this function:

## owner()

const repository* owner | ( |  | ) | const

inline

Definition at line 78 of file IOfileHeader.hpp.

References IOfileHeader::owner_.

## path()

pFlow::fileSystem path | ( |  | ) | const

Definition at line 55 of file IOfileHeader.cpp.

References fileSystem::path().

Referenced by IOfileHeader::inStream().

Here is the call graph for this function:
Here is the caller graph for this function:

## headerOk()

bool headerOk | ( | bool | silent = `false` | ) |

Definition at line 71 of file IOfileHeader.cpp.

References pFlow::endl(), and warningInFunction.

Referenced by pFlow::PFtoVTK::convertTimeFolderPointFields(), pFlow::PFtoVTK::convertTimeFolderPointFieldsSelected(), pFlow::TSFtoVTK::convertTimeFolderTriSurfaceFields(), and readFromTimeFolder::fieldExists().

Here is the call graph for this function:
Here is the caller graph for this function:

## implyRead()

bool implyRead | ( |  | ) | const

Definition at line 100 of file IOfileHeader.cpp.

## implyWrite()

bool implyWrite | ( |  | ) | const

Definition at line 106 of file IOfileHeader.cpp.

## fileExist()

bool fileExist | ( |  | ) | const

Definition at line 111 of file IOfileHeader.cpp.

Referenced by IOfileHeader::inStream().

Here is the caller graph for this function:

## readIfPresent()

bool readIfPresent | ( |  | ) | const

Definition at line 116 of file IOfileHeader.cpp.

## writeHeader() [1/2]

bool writeHeader | ( | iOstream & | os,
|  | const word & | typeName
| ) |  | const

Definition at line 122 of file IOfileHeader.cpp.

References IOstream::fatalCheck(), and iOstream::writeWordEntry().

Here is the call graph for this function:

## writeHeader() [2/2]

bool writeHeader | ( | iOstream & | os | ) | const

Definition at line 137 of file IOfileHeader.cpp.

## readHeader()

bool readHeader | ( | iIstream & | is,
|  | bool | silent = `false`
| ) |  |

Definition at line 142 of file IOfileHeader.cpp.

References pFlow::endl(), iIstream::findTokenAndNextSilent(), IOstream::name(), and warningInFunction.

Here is the call graph for this function:

## writeBanner()

bool writeBanner | ( | iOstream & | os | ) | const

Definition at line 170 of file IOfileHeader.cpp.

## writeSeparator()

bool writeSeparator | ( | iOstream & | os | ) | const

Definition at line 181 of file IOfileHeader.cpp.

## Member Data Documentation

## owner_

const repository* owner_ = nullptr

protected

Definition at line 44 of file IOfileHeader.hpp.

Referenced by IOfileHeader::owner().

## objectName_

word objectName_

protected

Definition at line 47 of file IOfileHeader.hpp.

Referenced by IOfileHeader::objectName().

## objectType_

word objectType_

protected

Definition at line 50 of file IOfileHeader.hpp.

Referenced by IOfileHeader::objectType().

The documentation for this class was generated from the following files:

- src/phasicFlow/repository/IOobject/IOfileHeader.hpp
- src/phasicFlow/repository/IOobject/IOfileHeader.cpp